Subject: Re: bug#21366: 11.88.6; Vertical bar is paired delimiter in syntax table
From: Tassilo Horn <[email-masked]>
To: Michael Hoffman <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Aug 2015 10:51:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Hoffman <[email-masked]> writes:

Hi Michael,

> I don't understand why | is treated as a paired delimiter in the first
> place, though.

It used to have symbol syntax, and then I changed some fontification
code which required that it became some non-symbol syntax.  I chose
paired delimiter because it seemed to be convenient in my typical use
(lots of \verb|stuff|) because then typing | would insert a pair of bars
with `electric-pair-mode'.

Well, that was obviously a bad decision, so now AUCTeX uses punctuation
syntax for it.  That will appear in 11.88.8 from ELPA then.

Bye,
Tassilo